PSOAPClient Class Reference

SOAP client classes. More...

`#include <psoap.h>`

Inheritance diagram for PSOAPClient:

## Public Member Functions

| PSOAPClient (const PURL &url)
void | SetTimeout (const PTimeInterval &_timeout)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace, PSOAPMessage &response)
PBoolean | MakeRequest (PSOAPMessage &request, PSOAPMessage &response)
PString | GetFaultText () const
PINDEX | GetFaultCode () const
void | setSOAPAction (PString saction)
| Set a specific SOAPAction field in the HTTTP header, default = " ". More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

PBoolean | PerformRequest (PSOAPMessage &request, PSOAPMessage &response)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PURL | url
PINDEX | faultCode
PString | faultText
PTimeInterval | timeout

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Detailed Description

SOAP client classes.

## Constructor & Destructor Documentation

## PSOAPClient()

PSOAPClient::PSOAPClient | ( | const PURL & | url | ) |

## Member Function Documentation

## GetFaultCode()

PINDEX PSOAPClient::GetFaultCode | ( |  | ) | const

inline

## GetFaultText()

PString PSOAPClient::GetFaultText | ( |  | ) | const

inline

## MakeRequest() [1/3]

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace
| ) |  |

## MakeRequest() [2/3]

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace,
|  | PSOAPMessage & | response
| ) |  |

## MakeRequest() [3/3]

PBoolean PSOAPClient::MakeRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response
| ) |  |

## PerformRequest()

PBoolean PSOAPClient::PerformRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response
| ) |  |

protected

## setSOAPAction()

void PSOAPClient::setSOAPAction | ( | PString | saction | ) |

inline

Set a specific SOAPAction field in the HTTTP header, default = " ".

## SetTimeout()

void PSOAPClient::SetTimeout | ( | const PTimeInterval & | _timeout | ) |

inline

## Member Data Documentation

## faultCode

PINDEX PSOAPClient::faultCode

protected

## faultText

PString PSOAPClient::faultText

protected

## timeout

PTimeInterval PSOAPClient::timeout

protected

## url

PURL PSOAPClient::url

protected

The documentation for this class was generated from the following file:

- psoap.h